Javadoc.TagArgument (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc.TagArgument

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.AbstractFileSet
                  org.apache.tools.ant.types.FileSet
                      org.apache.tools.ant.taskdefs.Javadoc.TagArgument

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Resource>, ResourceCollection, SelectorContainer

Enclosing class:
  Javadoc

    public class Javadoc.TagArgument

extends FileSet

Class representing a -tag argument.

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Javadoc.TagArgument()` Sole constructor.

Method Summary
`java.lang.String` | `getParameter()` Returns the -tag parameter this argument represented.
`void` | `setEnabled(boolean enabled)` Sets whether or not the tag is enabled.
`void` | `setName(java.lang.String name)` Sets the name of the tag.
`void` | `setScope(java.lang.String verboseScope)` Sets the scope of the tag.

Methods inherited from class org.apache.tools.ant.types.FileSet
`clone, isFilesystemOnly, iterator, size`

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addReadable, addSelector, addSize, addType, addWritable, appendExcludes, appendIncludes, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, dieOnCircularReference, getDefaultexcludes, getDir, getDir, getDirectoryScanner, getDirectoryScanner, getErrorOnMissingDir, getMaxLevelsOfSymlinks, getRef, getSelectors, hasPatterns, hasSelectors, isCaseSensitive, isFollowSymlinks, mergeExcludes, mergeIncludes, mergePatterns, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setErrorOnMissingDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setMaxLevelsOfSymlinks, setRefid, setupDirectoryScanner, setupDirectoryScanner, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Javadoc.TagArgument

    public Javadoc.TagArgument()

  Sole constructor.

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of the tag.

  Parameters:
    `name` - The name of the tag. Must not be `null` or empty.

### setScope

    public void setScope(java.lang.String verboseScope)
                  throws BuildException

  Sets the scope of the tag. This is in comma-separated form, with each element being one of "all" (the default), "overview", "packages", "types", "constructors", "methods", "fields". The elements are treated in a case-insensitive manner.

  Parameters:
    `verboseScope` - The scope of the tag. Must not be `null`, should not be empty.
  Throws:
    `BuildException` - if all is specified along with other elements, if any elements are repeated, if no elements are specified, or if any unrecognised elements are specified.

### setEnabled

    public void setEnabled(boolean enabled)

  Sets whether or not the tag is enabled.

  Parameters:
    `enabled` - Whether or not this tag is enabled.

### getParameter

    public java.lang.String getParameter()
                                  throws BuildException

  Returns the -tag parameter this argument represented.

  Returns:
    the -tag parameter as a string
  Throws:
    `BuildException` - if either the name or description is `null` or empty.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD